<?php

namespace App\Admin\Controllers;

use App\Models\CallLog;
use Encore\Admin\Controllers\AdminController;
use Encore\Admin\Form;
use Encore\Admin\Grid;
use Encore\Admin\Show;

class callLogController extends AdminController
{
    /**
     * Title for current resource.
     *
     * @var string
     */
    protected $title = '录音文件下载';

    /**
     * Make a grid builder.
     *
     * @return Grid
     */
    protected function grid()
    {
        $grid = new Grid(new CallLog());
        $grid->disableBatchActions();
        $grid->disableCreateButton();
        $order_id = request('order_id');
        $grid->actions(function ($actions){
            $actions->disableView();
            $actions->disableEdit();
            $actions->disableDelete();
        });
        $grid->model()->where('order_id',$order_id);
        $grid->column('id', __('Id'));
        $grid->column('order_id', __('订单id'));
        $grid->column('talk_time', __('通话时长（秒）'));
        $grid->column('call_time', __('拨打时间'));
        $grid->column('ring_time', __('结束时间'));
        $grid->column('files', __('录音文件下载'))->downloadable();

        return $grid;
    }
}
